path: /build/build/sysprof-dev-util-3.36.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="gtk" emerge dev-util/sysprof -pv -t && \
    USE="gtk" emerge -j ${JOBS} --nodeps dev-util/sysprof
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/sysprof && luet-portage --dir /pkgdir/sysprof
    dev-util/sysprof && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:ea0ea449f5ec12d1262e197b2621e57e26bcaf122ccd7463402adcad6092eafa
  package:
    name: sysprof
    version: 3.36.0
    category: dev-util
    use_flags:
    - gtk
    requires:
    - name: libdazzle
      version: '>=0'
      category: dev-libs
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: System-wide Linux Profiler
    uri:
    - http://sysprof.com/
    license: GPL-3+ GPL-2+
    buildtimestamp: 2023-09-05 11:01:33.510563473 +0000 UTC m=+89.525835633
    labels:
      BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils >=dev-util/meson-0.48.2
        >=dev-util/ninja-1.7.2 virtual/pkgconfig'
      DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/libdazzle-3.34.0 sys-auth/polkit
        gtk? ( >=x11-libs/gtk+-3.24.12:3 ) dev-libs/libxml2:2 dev-util/itstool >=sys-devel/gettext-0.19.8
        >=sys-kernel/linux-headers-2.6.32 >=dev-libs/libdazzle-3.34.0 dev-libs/appstream-glib
        virtual/pkgconfig dev-util/desktop-file-utils x11-misc/shared-mime-info'
      IUSE: gtk kernel_linux
      RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/libdazzle-3.34.0 sys-auth/polkit
        gtk? ( >=x11-libs/gtk+-3.24.12:3 )'
      emerge.packages: dev-util/sysprof
      kit: gnome-kit
      original.package.name: dev-util/sysprof
      original.package.slot: "0"
      original.package.version: 3.36.0
    treedir: /build/packages
  package_dir: /pkgdir/sysprof
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 80f79d6571a04f3001258d010072358978a916843b2d06f2a3603ca9ac511c6f
compressiontype: zstd
files:
- lib/systemd/system/sysprof2.service
- lib/systemd/system/sysprof3.service
- usr/bin/sysprof
- usr/bin/sysprof-cli
- usr/include/sysprof-3/sysprof-address.h
- usr/include/sysprof-3/sysprof-battery-source.h
- usr/include/sysprof-3/sysprof-callgraph-profile.h
- usr/include/sysprof-3/sysprof-capture-condition.h
- usr/include/sysprof-3/sysprof-capture-cursor.h
- usr/include/sysprof-3/sysprof-capture-gobject.h
- usr/include/sysprof-3/sysprof-capture-reader.h
- usr/include/sysprof-3/sysprof-capture-symbol-resolver.h
- usr/include/sysprof-3/sysprof-capture-types.h
- usr/include/sysprof-3/sysprof-capture-writer.h
- usr/include/sysprof-3/sysprof-capture.h
- usr/include/sysprof-3/sysprof-check.h
- usr/include/sysprof-3/sysprof-clock.h
- usr/include/sysprof-3/sysprof-collector.h
- usr/include/sysprof-3/sysprof-control-source.h
- usr/include/sysprof-3/sysprof-diskstat-source.h
- usr/include/sysprof-3/sysprof-display.h
- usr/include/sysprof-3/sysprof-elf-symbol-resolver.h
- usr/include/sysprof-3/sysprof-gjs-source.h
- usr/include/sysprof-3/sysprof-governor-source.h
- usr/include/sysprof-3/sysprof-hostinfo-source.h
- usr/include/sysprof-3/sysprof-jitmap-symbol-resolver.h
- usr/include/sysprof-3/sysprof-kernel-symbol-resolver.h
- usr/include/sysprof-3/sysprof-kernel-symbol.h
- usr/include/sysprof-3/sysprof-local-profiler.h
- usr/include/sysprof-3/sysprof-memory-source.h
- usr/include/sysprof-3/sysprof-memprof-profile.h
- usr/include/sysprof-3/sysprof-memprof-source.h
- usr/include/sysprof-3/sysprof-model-filter.h
- usr/include/sysprof-3/sysprof-netdev-source.h
- usr/include/sysprof-3/sysprof-notebook.h
- usr/include/sysprof-3/sysprof-page.h
- usr/include/sysprof-3/sysprof-perf-counter.h
- usr/include/sysprof-3/sysprof-perf-source.h
- usr/include/sysprof-3/sysprof-platform.h
- usr/include/sysprof-3/sysprof-proc-source.h
- usr/include/sysprof-3/sysprof-process-model-item.h
- usr/include/sysprof-3/sysprof-process-model-row.h
- usr/include/sysprof-3/sysprof-process-model.h
- usr/include/sysprof-3/sysprof-profile.h
- usr/include/sysprof-3/sysprof-profiler.h
- usr/include/sysprof-3/sysprof-proxy-source.h
- usr/include/sysprof-3/sysprof-selection.h
- usr/include/sysprof-3/sysprof-source.h
- usr/include/sysprof-3/sysprof-spawnable.h
- usr/include/sysprof-3/sysprof-symbol-resolver.h
- usr/include/sysprof-3/sysprof-symbols-source.h
- usr/include/sysprof-3/sysprof-tracefd-source.h
- usr/include/sysprof-3/sysprof-ui.h
- usr/include/sysprof-3/sysprof-version-macros.h
- usr/include/sysprof-3/sysprof-version.h
- usr/include/sysprof-3/sysprof-visualizer-group.h
- usr/include/sysprof-3/sysprof-visualizer.h
- usr/include/sysprof-3/sysprof-zoom-manager.h
- usr/include/sysprof-3/sysprof.h
- usr/lib64/libsysprof-3.so
- usr/lib64/libsysprof-capture-3.a
- usr/lib64/libsysprof-memory-3.so
- usr/lib64/libsysprof-ui-3.so
- usr/lib64/pkgconfig/sysprof-3.pc
- usr/lib64/pkgconfig/sysprof-capture-3.pc
- usr/lib64/pkgconfig/sysprof-ui-3.pc
- usr/libexec/sysprofd
- usr/share/applications/org.gnome.Sysprof3.desktop
- usr/share/dbus-1/interfaces/org.gnome.Sysprof2.xml
- usr/share/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml
- usr/share/dbus-1/interfaces/org.gnome.Sysprof3.Service.xml
- usr/share/dbus-1/system-services/org.gnome.Sysprof2.service
- usr/share/dbus-1/system-services/org.gnome.Sysprof3.service
- usr/share/dbus-1/system.d/org.gnome.Sysprof2.conf
- usr/share/dbus-1/system.d/org.gnome.Sysprof3.conf
- usr/share/doc/sysprof-3.36.0/AUTHORS.bz2
- usr/share/doc/sysprof-3.36.0/NEWS.bz2
- usr/share/doc/sysprof-3.36.0/README.md.bz2
- usr/share/glib-2.0/schemas/org.gnome.sysprof3.gschema.xml
- usr/share/help/C/sysprof/faq.page
- usr/share/help/C/sysprof/index.page
- usr/share/help/C/sysprof/introduction.page
- usr/share/help/C/sysprof/legal.xml
- usr/share/help/C/sysprof/profiling.page
- usr/share/help/cs/sysprof/faq.page
- usr/share/help/cs/sysprof/index.page
- usr/share/help/cs/sysprof/introduction.page
- usr/share/help/cs/sysprof/legal.xml
- usr/share/help/cs/sysprof/profiling.page
- usr/share/help/de/sysprof/faq.page
- usr/share/help/de/sysprof/index.page
- usr/share/help/de/sysprof/introduction.page
- usr/share/help/de/sysprof/legal.xml
- usr/share/help/de/sysprof/profiling.page
- usr/share/help/el/sysprof/faq.page
- usr/share/help/el/sysprof/index.page
- usr/share/help/el/sysprof/introduction.page
- usr/share/help/el/sysprof/legal.xml
- usr/share/help/el/sysprof/profiling.page
- usr/share/help/es/sysprof/faq.page
- usr/share/help/es/sysprof/index.page
- usr/share/help/es/sysprof/introduction.page
- usr/share/help/es/sysprof/legal.xml
- usr/share/help/es/sysprof/profiling.page
- usr/share/help/pl/sysprof/faq.page
- usr/share/help/pl/sysprof/index.page
- usr/share/help/pl/sysprof/introduction.page
- usr/share/help/pl/sysprof/legal.xml
- usr/share/help/pl/sysprof/profiling.page
- usr/share/help/pt_BR/sysprof/faq.page
- usr/share/help/pt_BR/sysprof/index.page
- usr/share/help/pt_BR/sysprof/introduction.page
- usr/share/help/pt_BR/sysprof/legal.xml
- usr/share/help/pt_BR/sysprof/profiling.page
- usr/share/help/sv/sysprof/faq.page
- usr/share/help/sv/sysprof/index.page
- usr/share/help/sv/sysprof/introduction.page
- usr/share/help/sv/sysprof/legal.xml
- usr/share/help/sv/sysprof/profiling.page
- usr/share/icons/hicolor/scalable/actions/sysprof-allocations.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-battery.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-calgraph.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-cli.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-cpu.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-disk.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-gtk.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-library.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-memory.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-networking.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-rapl.svg
- usr/share/icons/hicolor/scalable/actions/sysprof-trace-app.svg
- usr/share/icons/hicolor/scalable/apps/org.gnome.Sysprof.svg
- usr/share/icons/hicolor/symbolic/apps/org.gnome.Sysprof-symbolic.svg
- usr/share/locale/cs/LC_MESSAGES/sysprof.mo
- usr/share/locale/da/LC_MESSAGES/sysprof.mo
- usr/share/locale/de/LC_MESSAGES/sysprof.mo
- usr/share/locale/el/LC_MESSAGES/sysprof.mo
- usr/share/locale/es/LC_MESSAGES/sysprof.mo
- usr/share/locale/eu/LC_MESSAGES/sysprof.mo
- usr/share/locale/fi/LC_MESSAGES/sysprof.mo
- usr/share/locale/fr/LC_MESSAGES/sysprof.mo
- usr/share/locale/fur/LC_MESSAGES/sysprof.mo
- usr/share/locale/hu/LC_MESSAGES/sysprof.mo
- usr/share/locale/id/LC_MESSAGES/sysprof.mo
- usr/share/locale/it/LC_MESSAGES/sysprof.mo
- usr/share/locale/nl/LC_MESSAGES/sysprof.mo
- usr/share/locale/pl/LC_MESSAGES/sysprof.mo
- usr/share/locale/pt/LC_MESSAGES/sysprof.mo
- usr/share/locale/pt_BR/LC_MESSAGES/sysprof.mo
- usr/share/locale/ro/LC_MESSAGES/sysprof.mo
- usr/share/locale/sk/LC_MESSAGES/sysprof.mo
- usr/share/locale/sl/LC_MESSAGES/sysprof.mo
- usr/share/locale/sr/LC_MESSAGES/sysprof.mo
- usr/share/locale/sv/LC_MESSAGES/sysprof.mo
- usr/share/metainfo/org.gnome.Sysprof3.appdata.xml
- usr/share/mime/packages/sysprof-mime.xml
- usr/share/polkit-1/actions/org.gnome.sysprof3.policy
- var/db/pkg/dev-util/sysprof-3.36.0/BDEPEND
- var/db/pkg/dev-util/sysprof-3.36.0/BUILD_TIME
- var/db/pkg/dev-util/sysprof-3.36.0/CATEGORY
- var/db/pkg/dev-util/sysprof-3.36.0/CBUILD
- var/db/pkg/dev-util/sysprof-3.36.0/CFLAGS
- var/db/pkg/dev-util/sysprof-3.36.0/CHOST
- var/db/pkg/dev-util/sysprof-3.36.0/CONTENTS
- var/db/pkg/dev-util/sysprof-3.36.0/COUNTER
- var/db/pkg/dev-util/sysprof-3.36.0/CXXFLAGS
- var/db/pkg/dev-util/sysprof-3.36.0/DEFINED_PHASES
- var/db/pkg/dev-util/sysprof-3.36.0/DEPEND
- var/db/pkg/dev-util/sysprof-3.36.0/DESCRIPTION
- var/db/pkg/dev-util/sysprof-3.36.0/EAPI
- var/db/pkg/dev-util/sysprof-3.36.0/FEATURES
- var/db/pkg/dev-util/sysprof-3.36.0/HOMEPAGE
- var/db/pkg/dev-util/sysprof-3.36.0/INHERITED
- var/db/pkg/dev-util/sysprof-3.36.0/IUSE
- var/db/pkg/dev-util/sysprof-3.36.0/IUSE_EFFECTIVE
- var/db/pkg/dev-util/sysprof-3.36.0/KEYWORDS
- var/db/pkg/dev-util/sysprof-3.36.0/LDFLAGS
- var/db/pkg/dev-util/sysprof-3.36.0/LICENSE
- var/db/pkg/dev-util/sysprof-3.36.0/NEEDED
- var/db/pkg/dev-util/sysprof-3.36.0/PF
- var/db/pkg/dev-util/sysprof-3.36.0/PROVIDES
- var/db/pkg/dev-util/sysprof-3.36.0/RDEPEND
- var/db/pkg/dev-util/sysprof-3.36.0/REQUIRES
- var/db/pkg/dev-util/sysprof-3.36.0/SIZE
- var/db/pkg/dev-util/sysprof-3.36.0/SLOT
- var/db/pkg/dev-util/sysprof-3.36.0/USE
- var/db/pkg/dev-util/sysprof-3.36.0/environment.bz2
- var/db/pkg/dev-util/sysprof-3.36.0/repository
- var/db/pkg/dev-util/sysprof-3.36.0/sysprof-3.36.0.ebuild
package_cacheimage: ""
runtime:
  name: sysprof
  version: 3.36.0
  category: dev-util
  use_flags:
  - gtk
  requires:
  - name: libdazzle
    version: '>=0'
    category: dev-libs
  - name: polkit
    version: '>=0'
    category: sys-auth
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: System-wide Linux Profiler
  uri:
  - http://sysprof.com/
  license: GPL-3+ GPL-2+
  labels:
    BDEPEND: '>=app-portage/elt-patches-20170815 app-arch/xz-utils >=dev-util/meson-0.48.2
      >=dev-util/ninja-1.7.2 virtual/pkgconfig'
    DEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/libdazzle-3.34.0 sys-auth/polkit
      gtk? ( >=x11-libs/gtk+-3.24.12:3 ) dev-libs/libxml2:2 dev-util/itstool >=sys-devel/gettext-0.19.8
      >=sys-kernel/linux-headers-2.6.32 >=dev-libs/libdazzle-3.34.0 dev-libs/appstream-glib
      virtual/pkgconfig dev-util/desktop-file-utils x11-misc/shared-mime-info'
    IUSE: gtk kernel_linux
    RDEPEND: '>=dev-libs/glib-2.62.2:2 >=dev-libs/libdazzle-3.34.0 sys-auth/polkit
      gtk? ( >=x11-libs/gtk+-3.24.12:3 )'
    emerge.packages: dev-util/sysprof
    kit: gnome-kit
    original.package.name: dev-util/sysprof
    original.package.slot: "0"
    original.package.version: 3.36.0
